This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 815435 - Anaconda configuration can be improved.
Anaconda configuration can be improved.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 11:33 EDT by Leslie Satenstein
Modified: 2013-04-04 15:10 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-18.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-04 15:10:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leslie Satenstein 2012-04-23 11:33:12 EDT
Description of REQUEST:

When performing a GUI installation with Anaconda, is there a way to present the target disk on the screen, in the swame way it is depicted by gparted.

Then for a /swap, I could click to indicate where I wanted it placed, or to use an existing swap file.

For the /boot or /lvm, I could click on a partition (as shown by the gui), and that would do the assignments.

Many times, the bios order of disks is not the same order as is shown after a installation boot.

While doing that, there is a radio button where categories of software are shown.
It would be great if there was a button to click to show what was included, (Desktop, Sofware Design, Server, ... )
Configure now or configure after installation is great.
If choosing the configuration now, there are two buttons at the bottom of the screen (back and next). Please, if we choose next, and we chose to configure now, ask "Are you sure". I accidentally clicked next before completing the "now" option and was very annoyed.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chris Lumens 2012-08-03 15:47:23 EDT
This should be fixed in the new ui included with anaconda-18.3.
Comment 2 Leslie Satenstein 2013-01-08 10:09:09 EST
Just took F18 RC1 to test via live CD

a) Had to play with LiveUSB-creator to issue the --reset-mbr (reported this in bugzilla as a required checkbox need)

b) booted the usb flash 

c) Selected Spanish (Castilian) Latin America keyboard -- could not test. not possible, even with deleting English (USA) As well the graphical layout is missing a key on the left of Z key, This key contains the < and > characters.  

d) I moved along and proceeded to select device. It is the one and only hard disk in a netbook.  I had to delete partition by partition.  
With total delete, the system appeared to refuse an empty disk.
 
e) I retried by leaving Swap in place.

f) I returned, the error triangle was present, but about one minute later, I obtained the Root PWD prompt.

G) I will retest with full delete again, including all allocated space. 

H)  A message needs to be popped up to indicate, Re-evaluating diskspace availability. Perhaps an option is required to include a Check box where one can respond to use entire diskspace 


j) This unit is a dual core atom netbook. I also have dual core laptop with a bit more speed. A message following disk selection and free space creation to indicate "Busy, please wait"  is needed
Comment 3 Leslie Satenstein 2013-04-04 15:08:10 EDT
Given anaconda is now at F19 testing and F20 development, this issue should be closed.

Note You need to log in before you can comment on or make changes to this bug.